{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/matching/settlement_concept_matching_result') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/matching/settlement_concept_matching_result') }}
{% endblock %}

{% set settlementConcept = settlementConceptMatchingResult.getSettlementConcept() %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('company_location_management_matching_object_detail', {'id': settlementConceptMatchingResult.getBuildingUnit().getId(), 'tab': 'ansiedlungskonzepte'}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Konzeptdetails, externe Refernz-ID: {{ settlementConcept.getExternalReferenceNumber() }} </span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mb-4">
            {% include 'company_location_management/component/matching/object_detail_card_component.html.twig' with {'buildingUnit': settlementConceptMatchingResult.getBuildingUnit()} only %}
        </div>
        <div class="mdc-card p-4 mb-4">
            <h2>Konzeptdetails</h2>
            <div class="row">
                {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Konzept eingestellt von
                        </div>
                        <div class="mt-1">
                            <strong>{{ settlementConcept.getSettlementConceptAccountUser().getFullName() }}</strong>
                        </div>
                    </div>
                {% endif %}
                <div class="col-md-6 col-lg-3 mb-3">
                    <div class="mt-3">
                        Konzept-Referenz-ID
                    </div>
                    <div class="mt-1">
                        <strong>{{ settlementConcept.getExternalReferenceNumber() }}</strong>
                    </div>
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <div class="mt-3">
                        Konzept-Beschreibung
                    </div>
                    <div class="mt-1">
                        <strong>{{ settlementConcept.getDescription()|nl2br }}</strong>
                    </div>
                </div>
                <div class="col-md-6 mb-3">
                    <div class="mt-3">
                        Branche
                    </div>
                    <div class="mt-1">
                        <strong>{{ settlementConcept.getIndustryClassification().getName() }}</strong>
                    </div>
                </div>
                {% if settlementConcept.getAgeStructures() != null and settlementConcept.getAgeStructures()|length > 0 %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Angesprochene Altersstruktur
                        </div>
                        <div class="mt-1">
                            <ul>
                                {% for ageStructure in settlementConcept.getAgeStructures() %}
                                    <li><strong>{{ ageStructure.getLabel() }}</strong></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                {% endif %}
                {% if settlementConcept.getAgeStructures() != null and settlementConcept.getAgeStructures()|length > 0 %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Preissegmente
                        </div>
                        <div class="mt-1">
                            <ul>
                                {% for priceSegment in settlementConcept.getPriceSegments() %}
                                    <li><strong>{{ priceSegment.getName() }}</strong></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getPropertyOfferTypes() != null and settlementConcept.getPropertyOfferTypes()|length > 0 %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Gesuchte Angebotsart
                        </div>
                        <div class="mt-1">
                            <ul>
                                {% for propertyOfferType in settlementConcept.getPropertyOfferTypes() %}
                                    <li><strong>{{ propertyOfferType.getName() }}</strong></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().getSpace() != null %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Flächenbedarf
                        </div>
                        <div class="mt-1">
                            <strong>
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getSpace().getMinimumValue() is not null %}
                                  {{ settlementConcept.getSettlementConceptPropertyRequirement().getSpace().getMinimumValue()|number_format(2, ',', '.') }} m&sup2;
                                {% endif %}
                                bis
                                {{ settlementConcept.getSettlementConceptPropertyRequirement().getSpace().getMaximumValue()|number_format(2, ',', '.') }} m&sup2;
                            </strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null
                    and settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace() != null
                    and (settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace().getMinimumValue() != null or settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace().getMaximumValue() != null)
                %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Nebenflächenbedarf
                        </div>
                        <div class="mt-1">
                            <strong>
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace().getMinimumValue() is not null %}
                                    {{ settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace().getMinimumValue()|number_format(2, ',', '.') }} m&sup2;
                                {% endif %}
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace().getMaximumValue() is not null %}
                                    bis
                                    {{ settlementConcept.getSettlementConceptPropertyRequirement().getSecondarySpace().getMaximumValue()|number_format(2, ',', '.') }} m&sup2;
                                {% endif %}
                            </strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().isOutdoorSalesAreaRequired() %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Außenverkaufsfläche
                        </div>
                        <div class="mt-1">
                            <strong>
                                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null
                                    and settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea() != null
                                    and (settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea().getMinimumValue() != null or settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea().getMaximumValue() != null)
                                %}
                                    {% if settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea().getMinimumValue() is not null %}
                                        {{ settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea().getMinimumValue()|number_format(2, ',', '.') }} m&sup2;
                                    {% endif %}
                                    {% if settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea().getMaximumValue() is not null %}
                                        bis
                                        {{ settlementConcept.getSettlementConceptPropertyRequirement().getOutdoorSalesArea().getMaximumValue()|number_format(2, ',', '.') }} m&sup2;
                                    {% endif %}
                                {% else %}
                                    wird benötigt
                                {% endif %}
                            </strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null
                    and settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth() != null
                    and (settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth().getMinimumValue() != null or settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth().getMaximumValue() != null)
                %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            benötigte Ladenbreite
                        </div>
                        <div class="mt-1">
                            <strong>
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth().getMinimumValue() is not null %}
                                    {{ settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth().getMinimumValue()|number_format(2, ',', '.') }} m
                                {% endif %}
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth().getMaximumValue() is not null %}
                                    bis
                                    {{ settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth().getMaximumValue()|number_format(2, ',', '.') }} m
                                {% endif %}
                            </strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null
                    and settlementConcept.getSettlementConceptPropertyRequirement().getStoreWidth() != null
                    and (settlementConcept.getSettlementConceptPropertyRequirement().getShopWindowLength().getMinimumValue() != null or settlementConcept.getSettlementConceptPropertyRequirement().getShopWindowLength().getMaximumValue() != null)
                %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            benötigte Schaufensterbreite
                        </div>
                        <div class="mt-1">
                            <strong>
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getShopWindowLength().getMinimumValue() is not null %}
                                    {{ settlementConcept.getSettlementConceptPropertyRequirement().getShopWindowLength().getMinimumValue()|number_format(2, ',', '.') }} m
                                {% endif %}
                                {% if settlementConcept.getSettlementConceptPropertyRequirement().getShopWindowLength().getMaximumValue() is not null %}
                                    bis
                                    {{ settlementConcept.getSettlementConceptPropertyRequirement().getShopWindowLength().getMaximumValue()|number_format(2, ',', '.') }} m
                                {% endif %}
                            </strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().isGroundLevelSalesAreaRequired() %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            ebenerdige Verkaufsfläche
                        </div>
                        <div class="mt-1">
                            <strong>wird benötigt</strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().isBarrierFreeAccessRequired() %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            barrierefreier Zugang
                        </div>
                        <div class="mt-1">
                            <strong>wird benötigt</strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().getParkingLotsRequired() %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Parkplätze notwendig
                        </div>
                        <div class="mt-1">
                            <strong>
                                {{ settlementConcept.getSettlementConceptPropertyRequirement().getParkingLotsRequired().getName() }}
                            </strong>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().getLocationCategories() != null and settlementConcept.getSettlementConceptPropertyRequirement().getLocationCategories()|length > 0 %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            gewünschte Lage
                        </div>
                        <div class="mt-1">
                            <ul>
                                {% for locationCategory in settlementConcept.getSettlementConceptPropertyRequirement().getLocationCategories() %}
                                    <li><strong>{{ locationCategory.getName() }}</strong></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                {% endif %}

                {% if settlementConcept.getSettlementConceptPropertyRequirement() != null and settlementConcept.getSettlementConceptPropertyRequirement().getLocationFactors() != null and settlementConcept.getSettlementConceptPropertyRequirement().getLocationFactors()|length > 0 %}
                    <div class="col-md-6 col-lg-3 mb-3">
                        <div class="mt-3">
                            Standortanforderungen
                        </div>
                        <div class="mt-1">
                            <ul>
                                {% for getLocationFactor in settlementConcept.getSettlementConceptPropertyRequirement().getLocationFactors() %}
                                    <li><strong>{{ getLocationFactor.getName() }}</strong></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
